## EvHistory

EvHistory

## Synopsis

    struct              EvHistory;
                        EvHistoryPrivate;
    struct              EvHistoryClass;
    EvHistory *         ev_history_new                      (EvDocumentModel *model);
    void                ev_history_add_link                 (EvHistory *history,
                                                             EvLink *link);

## Object Hierarchy

      GObject
       +----EvHistory

## Signals

      "activate-link"                                  : Action
      "changed"                                        : Action

## Description

## Details

### struct EvHistory

    struct EvHistory;

### EvHistoryPrivate

    typedef struct _EvHistoryPrivate EvHistoryPrivate;

### struct EvHistoryClass

    struct EvHistoryClass {
    	GObjectClass parent_class;

    	void (* changed)       (EvHistory *history);
            void (* activate_link) (EvHistory *history,
                                    EvLink    *link);
    };

### ev_history_new ()

    EvHistory *         ev_history_new                      (EvDocumentModel *model);

### ev_history_add_link ()

    void                ev_history_add_link                 (EvHistory *history,
                                                             EvLink *link);

## Signal Details

### The `"activate-link"` signal

    void                user_function                      (EvHistory *evhistory,
                                                            GObject   *arg1,
                                                            gpointer   user_data)      : Action

### The `"changed"` signal

    void                user_function                      (EvHistory *evhistory,
                                                            gpointer   user_data)      : Action